<bugID>1219554<Summary>Fix leaking windows in some of memory tool's browser mochitests</Summary><Description>Pretty sure whatever is causing these windows to leak until shutdown on mochitests already existed, but we didn't have many browser mochitests.

In either case, it is worth it to land those patches now but disabled on DEBUG builds so we at least have the sanity test coverage on builds that don't do leak checking.</Description></bugID>